/* Nemovitost archiv */

.page-container {
    max-width: 1440px;
    margin: 0 auto; /* centrování */
    padding: 20px 20px; /* trocha paddingu pro menší obrazovky */
    box-sizing: border-box;
}

#ajax-vysledky p {
	text-align: center;
}

.vysledky-wrapper, .komerce-vysledky-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: center;
    max-width: 1900px;
    min-width: 100%;
  	margin-bottom: 56px;
}

.nemovitost-card {
    width: 453px;
    min-height: 428px;
    border: 1px solid #D6D6D6;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    background-color: #fff;
}




.feature-image-wrapper {
    position: relative;
    width: 100%;
 
    padding-bottom: 66.66%; 
    overflow: hidden;
}

.feature-image-wrapper img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.6s ease;
}

.nemovitost-card:hover .feature-image-wrapper img {
    transform: scale(1.15);
}


.nemovitost-card:hover .card-title {
    color: #0160A1;
}


a.nemovitost-card {
   text-decoration: none !important;
  color: #000 !important;
}

.feature-image {
    width: 100%;
    min-height: 302px !important;
    object-fit: cover;
}

.card-content {
    padding: 20px 20px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.card-title {
    font-weight: 600;
    font-size: 18px !important;
    margin-bottom: 8px;
}

.card-meta {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 15px;
  margin-top: 30px;
}

.left-meta {
    display: flex;
    gap: 15px;
    flex-wrap: wrap;
}

.right-meta {
    white-space: nowrap;
}


.card-meta span {
    font-size: 14px;
    line-height: 24px;
    font-weight: 400; 
}



.icon-rozloha {
    background: url('/wp-content/uploads/2025/07/disposition_icon.svg') left center no-repeat;
    background-size:  20px 20px;
    padding-left: 27px;
}

.icon-lokalita {
    background: url('/wp-content/uploads/2025/07/building_icon.svg') left center no-repeat;
    background-size:  20px 25px;
    padding-left: 25px;
}

.icon-cena {
    background: url('/wp-content/uploads/2025/07/money_icon.svg') left center no-repeat;
    background-size: 20px 20px;
    padding-left: 25px;
}

.card-meta .cena {
    white-space: nowrap;
    margin-left: 15px;
}

.active-filters {
  margin-bottom: 1rem;
  display: flex;
  flex-wrap: nowrap;
  gap: 16px;
  max-width: 1400px;
  margin: 0 auto;
  padding: 30px 0;
}

.filter-tag {
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 100% !important;
  height: 32px;
  padding: 0 15px 0 12px;
  background: linear-gradient(90deg, #FBE18A 0%, #FDECB2 50%, #FFF6DA 100%);
  border-radius: 3px;
  font-weight: 600;
  color: #000;
  cursor: pointer;
  user-select: none;
  position: relative;
  padding-right: 46px;
  font-size: 11px;
  text-transform: uppercase;
  box-sizing: border-box;
}

.filter-tag::after {
  content: '';
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
  width: 16px;
  height: 16px;
  background-image: url('/wp-content/uploads/2025/07/tag_filter_icon.svg');
  background-size: contain;
  background-repeat: no-repeat;
  cursor: pointer;
}

#ajax-pagination {
    padding-top: 40px;
    text-align: center;
  	margin: 0 auto;
}

#ajax-pagination button.page-btn {
    border: 1px solid #ddd;
    background: #fff;
    padding: 6px 12px;
    margin: 0 4px;
    cursor: pointer;
    font-weight: 600;
    font-size: 14px;
    border-radius: 4px;
    min-width: 32px;
}

.pagination {
  display: flex;
  justify-content: center;
  gap: 8px;
  user-select: none;
}

a.pagination-link, a.pagination-link.active, a.pagination-link:hover, a.pagination-link.active:hover {
  text-decoration: none !important;
  color: #000 !important;
}

.pagination-link {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1;
  color: #333;
  text-decoration: none;
  border-radius: 4px;
  cursor: pointer;
  background: transparent;
  transition: background-color 0.3s ease, color 0.3s ease;
  position: relative;
  height: 53px;
  width: 53px;
  box-sizing: border-box;
}

.pagination-link.active {
  background: linear-gradient(90deg,#FBE18A 0%,#FDECB2 50%,#FFF6DA 100%);
  color: #000;
  font-weight: 600;
}

.pagination-link:hover:not(.active):not(.next):not(.prev) {
    background: linear-gradient(90deg, #FBE18A 0%, #FDECB2 50%, #FFF6DA 100%);
}





.pagination-link.prev::before,
.pagination-link.next::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px !important;
  height: 20px !important;
  background-repeat: no-repeat !important;
  background-size: contain !important;
  background-position: center !important;
  transform: translate(-50%, -50%) !important;
  pointer-events: none;
  z-index: 10;
}

.pagination-link.prev::before {
  background-image: url('/wp-content/uploads/2025/07/arrow_left.svg') !important;
}

.pagination-link.next::after {
  background-image: url('/wp-content/uploads/2025/07/arrow_right.svg') !important;
}

#load-more-btn {
	display: block;
    margin: 0 auto;
    padding: 20px 50px 20px 20px; 
    background: url('/wp-content/uploads/2025/07/arrow_right.svg') no-repeat right center;
    background-size: 24px 24px;
    border: none;
    cursor: pointer;
    font-size: 16px;
    font-weight: 600;
    letter-spacing: 10%;
    color: #000;
    border-radius: 4px;
    transition: background-color 0.3s ease, padding 0.3s ease;
}

#load-more-btn:hover {
    padding-right: 60px; 
    background-color: transparent;
}

/* Responsive */
@media(max-width:768px){
  .nemovitost-card{
    width: 100% !important;
  }
}
